### Name: pcme
### Title: Find the maximum entropy completion of a partially specified
###   periodic autocovariance sequence
### Aliases: pcme
### Keywords: ts

### ** Examples

data(pcme.paperex)
attach(pcme.paperex)  # make rex1 directly visible

gap1p2 <- list(c(1,2))  # define some gaps
gap2p2 <- list(c(2,2))

# internally use this package's modified Newton method
resex1a <- pcme(rex1,gap1p2)
resex2a <- pcme(rex2,gap1p2)
resex3a <- pcme(rex3,gap1p2)
resex4a <- pcme(rex4,gap1p2)
resex5a <- pcme(rex5,gap2p2)

# internally use core R function "nlm"

### with nlm, without analytical derivatives
resex1 <- pcme(rex1,gap1p2,method="nlm",gradient=FALSE)
resex2 <- pcme(rex2,gap1p2,method="nlm",gradient=FALSE)
resex3 <- pcme(rex3,gap1p2,method="nlm",gradient=FALSE)
resex4 <- pcme(rex4,gap1p2,method="nlm",hessian=TRUE,check.analyticals=FALSE)
resex5 <- pcme(rex5,gap2p2,method="nlm",hessian=TRUE,check.analyticals=FALSE)

### With analytical Hessian

resex1h <- pcme(rex1,gap1p2,method="nlm",hessian=TRUE,check.analyticals=FALSE)
resex2h <- pcme(rex2,gap1p2,method="nlm",hessian=TRUE,check.analyticals=FALSE)
resex3h <- pcme(rex3,gap1p2,method="nlm",hessian=TRUE,check.analyticals=FALSE)
resex4h <- pcme(rex4,gap1p2,method="nlm",hessian=TRUE,check.analyticals=FALSE)
resex5h <- pcme(rex5,gap2p2,method="nlm",hessian=TRUE,check.analyticals=FALSE)




